org.apache.lucene.analysis.ja

## Class JapaneseAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.util.StopwordAnalyzerBase
    - - org.apache.lucene.analysis.ja.JapaneseAnalyzer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class JapaneseAnalyzer
    extends StopwordAnalyzerBase

Analyzer for Japanese that uses morphological analysis.

See Also:
  `JapaneseTokenizer`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

`matchVersion, stopwords`

### Constructor Summary

Constructors
Constructor and Description
`JapaneseAnalyzer(Version matchVersion)`
`JapaneseAnalyzer(Version matchVersion, UserDictionary userDict, JapaneseTokenizer.Mode mode, CharArraySet stopwords, Set<String> stoptags)`

### Method Summary

Methods
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)`
`static CharArraySet` `getDefaultStopSet()`
`static Set<String>` `getDefaultStopTags()`

### Methods inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JapaneseAnalyzer

    public JapaneseAnalyzer(Version matchVersion)

#### JapaneseAnalyzer

    public JapaneseAnalyzer(Version matchVersion,
                    UserDictionary userDict,
                    JapaneseTokenizer.Mode mode,
                    CharArraySet stopwords,
                    Set<String> stoptags)

### Method Detail

#### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()

#### getDefaultStopTags

    public static Set<String> getDefaultStopTags()

#### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                  Reader reader)

Specified by:
  `createComponents` in class `Analyzer`